Subject: bug#9044: 24.0.50; File mode specification error: (error "Malformed -*- line")

From: Juri Linkov <[email-masked]>
Date: Sat, 17 Sep 2011 15:48:31 +0300

> Sure.  Just go through the list and add the likely formats.  But using
> the list as-is just won't fly, since it even contains "TXT" and "HTML".

We could remove text formats currently present in `imagemagick-types-inhibit':

  (C HTML HTM TXT PDF)

>> BTW, Gnus doesn't display images supported by ImageMagick inline.
>> Could you please fix this in Gnus ;-)
>
> I've now added support for ImageMagick pictures, but I can't get Emacs
> to display that image inline.  `create-image' says that it creates the
> image just fine, but when I `insert-image' it, I just get the dreaded
> blank square box.  What does that mean?

Debugging it reveals that lambda for "image/*" (BTW, is it a typo?
shouldn't this regexp be "image/.*"?) in `mm-inline-media-tests'
gets called twice and *Messages* shows:

  Invalid image number `nil' in image `(image :type imagemagick :data ...